Skip to main content
`Ctrl`+`K`

# DMStagSetUniformCoordinatesExplicit

set `DMSTAG` coordinates to be a uniform grid, storing all values

## Synopsis

    #include "petscdmstag.h"
    #include "petscdmproduct.h"
    PetscErrorCode DMStagSetUniformCoordinatesExplicit(DM dm, PetscReal xmin, PetscReal xmax, PetscReal ymin, PetscReal ymax, PetscReal zmin, PetscReal zmax)

Collective

## Input Parameters

- dm - the `DMSTAG` object

- xmin - minimum global coordinate value in the `x` direction

- xmax - maximum global coordinate value in the `x` direction

- ymin - minimum global coordinate value in the `y` direction

- ymax - maximum global coordinate value in the `y` direction

- zmin - minimum global coordinate value in the `z` direction

- zmax - maximum global coordinate value in the `z` direction

## Notes

`DMSTAG` supports 2 different types of coordinate `DM`: either another `DMSTAG`, or a `DMPRODUCT`. If the grid is orthogonal, using `DMPRODUCT` should be more efficient.

Arguments corresponding to higher dimensions are ignored for 1D and 2D grids.

See the manual page for `DMStagSetUniformCoordinates()` for information on how coordinates for dummy cells outside the physical domain boundary are populated.

## See Also

DMSTAG: Staggered, Structured Grid, `DMSTAG`, `DMStagSetUniformCoordinates()`, `DMStagSetUniformCoordinatesProduct()`, `DMStagSetCoordinateDMType()`

## Level

beginner

## Location

src/dm/impls/stag/stagutils.c

## Examples

src/dm/impls/stag/tutorials/ex3.c
src/dm/impls/stag/tutorials/ex1.c

## Implementations

DMStagSetUniformCoordinatesExplicit_1d() in src/dm/impls/stag/stag1d.c
DMStagSetUniformCoordinatesExplicit_2d() in src/dm/impls/stag/stag2d.c
DMStagSetUniformCoordinatesExplicit_3d() in src/dm/impls/stag/stag3d.c

Index of all DMStag routines
Table of Contents for all manual pages
Index of all manual pages